Loading...
Searching...
No Matches
org.linphone.lime.RecipientData Class Reference

The encrypt function input/output data structure. More...

## Public Member Functions

LimePeerDeviceStatus | getPeerStatus ()
void | setPeerStatus (LimePeerDeviceStatus status)
| RecipientData (String p_deviceId)
| RecipientData (String p_deviceId, LimePeerDeviceStatus status)

## Public Attributes

String | deviceId
byte[] | DRmessage

## Detailed Description

The encrypt function input/output data structure.

give a recipient GRUU and get it back with the header which must be sent to recipient with the cipher text

## Constructor & Destructor Documentation

## RecipientData() [1/2]

org.linphone.lime.RecipientData.RecipientData | ( | String | p_deviceId | ) |

inline

## RecipientData() [2/2]

org.linphone.lime.RecipientData.RecipientData | ( | String | p_deviceId,
|  | LimePeerDeviceStatus | status )

inline

## Member Function Documentation

## getPeerStatus()

LimePeerDeviceStatus org.linphone.lime.RecipientData.getPeerStatus | ( |  | ) |

inline

## setPeerStatus()

void org.linphone.lime.RecipientData.setPeerStatus | ( | LimePeerDeviceStatus | status | ) |

inline

## Member Data Documentation

## deviceId

String org.linphone.lime.RecipientData.deviceId

The recipient device id(shall be its GRUU)

## DRmessage

byte [] org.linphone.lime.RecipientData.DRmessage

after encrypt calls back, it will hold the Double Ratchet message targeted to the specified recipient.

The documentation for this class was generated from the following file:

- /build/lime-OjNHTX/lime-5.3.105+dfsg/src/java/org/linphone/lime/RecipientData.java